#!/usr/bin/env python
# -*- mode: python; coding: koi8-r; -*-
import os, locale

program_name = 'PyBookReader'
program_version = '0.4.6'

##----------------------------------------------------------------------
## configuration

config_dir = os.path.expanduser('~/.pybr')
config_file = os.path.expanduser('~/.pybr/config')
bookmarks_file = os.path.expanduser('~/.pybr/bookmarks')
filetypes_file = os.path.expanduser('~/.pybr/filetypes')

charsets_list = ('koi8-r', 'cp1251', 'cp866', 'iso8859-5', 'utf-8')

# FIXME
default_description_length = 200
preview_length = 4000
# FIXME: set system encoding or add to properties???
#default_encoding = 'koi8-r'
default_encoding = locale.getlocale()[1]


