%module fb2wrap

%{
#include "fb2parser.h"
%}

%include fb2parser.h

%addmethods FB2Content{

  int get_bookmark_offset (int n) {
    if (!self) return -1;
    if (n >= self->num_bookmarks-1 || n < 0) return -1;
    return self->bookmarks[n]->start;
  };

  int get_bookmark_length (int n) {
    int len;
    if (!self) return -1;
    if (n >= self->num_bookmarks || n < 0) return -1;
    len = self->bookmarks[n]->end - self->bookmarks[n]->start;
    if (len < 0) return 0;
    else return len;
  };

  char *get_category (int n) {
    if (!self) return NULL;
    if (n >= self->num_categories || n < 0) return NULL;
    return self->categories[n];
  };

};

